Get Appstore App Settings
curl --request GET \
--url https://api.lumos.com/apps/{app_id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/apps/{app_id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/apps/{app_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/apps/{app_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/apps/{app_id}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/apps/{app_id}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/apps/{app_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"custom_request_instructions": "<string>",
"redirect_url": "<string>",
"request_flow": {
"discoverability": "FULL",
"custom_approval_message": "<string>",
"require_manager_approval": true,
"require_additional_approval": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"approvers": {
"groups": [],
"users": []
},
"approvers_stage_2": {
"groups": [],
"users": []
},
"response_describes_entire_approval_workflow": false,
"admins": [],
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
},
"provisioning": {
"groups_provisioning": "DIRECT_TO_USER",
"time_based_access": [
"<string>"
],
"allow_multiple_permission_selection": true,
"manual_steps_needed": true,
"custom_provisioning_instructions": "<string>",
"default_time_based_access_option": "<string>",
"default_permission": {
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
},
"provisioning_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
},
"in_app_store": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AppStore
Get Appstore App Settings
Get App settings.
GET
/
apps
/
{app_id}
/
settings
Get Appstore App Settings
curl --request GET \
--url https://api.lumos.com/apps/{app_id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumos.com/apps/{app_id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumos.com/apps/{app_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumos.com/apps/{app_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lumos.com/apps/{app_id}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lumos.com/apps/{app_id}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumos.com/apps/{app_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"custom_request_instructions": "<string>",
"redirect_url": "<string>",
"request_flow": {
"discoverability": "FULL",
"custom_approval_message": "<string>",
"require_manager_approval": true,
"require_additional_approval": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"approvers": {
"groups": [],
"users": []
},
"approvers_stage_2": {
"groups": [],
"users": []
},
"response_describes_entire_approval_workflow": false,
"admins": [],
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
},
"provisioning": {
"groups_provisioning": "DIRECT_TO_USER",
"time_based_access": [
"<string>"
],
"allow_multiple_permission_selection": true,
"manual_steps_needed": true,
"custom_provisioning_instructions": "<string>",
"default_time_based_access_option": "<string>",
"default_permission": {
"label": "<string>",
"app_id": "<string>",
"app_class_id": "<string>",
"app_instance_id": "<string>",
"id": "<string>",
"type": "SYNCED",
"request_config": {
"appstore_visibility": "HIDDEN",
"allowed_groups_override": true,
"allowed_groups": {
"type": "ALL_GROUPS",
"groups": []
},
"request_approval_config": {
"manager_approval": "NONE",
"request_approval_stages": [
{}
]
},
"request_fulfillment_config": {},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"request_validation_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
}
},
"provisioning_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
},
"access_removal_inline_webhook": {
"id": "<string>",
"hook_type": "PRE_APPROVAL",
"name": "<string>",
"description": "<string>"
}
},
"in_app_store": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
AppStore App instructions that are shown to the requester.
If set, requesting this app redirects the user to this URL instead of going through the normal access-request flow. Send null to clear an existing redirect; omit the field to leave it unchanged. Max 2048 characters.
Maximum string length:
2048Request flow configuration to request access to app.
Show child attributes
Show child attributes
Provisioning flow configuration to request access to app.
Show child attributes
Show child attributes
Whether the app is in the app store.